unit afdg;

(***************************************)
(* Copyright (C) 2003, SHIRAISHI Kazuo *)
(***************************************)


interface

uses
  SysUtils, Classes, QGraphics, QControls, QForms, QDialogs,
  QStdCtrls, QExtCtrls,  QCheckLst;


type
  TAutoFormatDlg = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    HelpBtn: TButton;
    Bevel1: TBevel;
    CheckListBox1: TCheckListBox;
    procedure HelpBtnClick(Sender: TObject);
  private
    { Private  }
  public
    { Public  }
  end;

var
  AutoFormatDlg: TAutoFormatDlg;
  AutoFormatKw:boolean=true;
  //FaultyCut:boolean=false;

procedure  setAutoFormat;

implementation
uses base;

{$R *.xfm}

procedure TAutoFormatDlg.HelpBtnClick(Sender: TObject);
begin
  Application.ContextHelp(HelpContext);
end;

procedure  setAutoFormat;
begin
 with AutoFormatDlg do
  begin
    //OkBtn.Focused;
    CheckListBox1.checked[0]:=AutoFormatKw;
    //CheckListBox2.checked[0]:=FaultyCut;
    if ShowModal=mrOk then
      begin
        AutoFormatKw:=CheckListBox1.checked[0];
        //FaultyCut:=CheckListBox2.checked[0];
      end;
  end;
end;

initialization
    with TMyIniFile.create('AutoFormat') do
       begin
         AutoFormatKw:=ReadBool('kw',AutoFormatKw);
         //FaultyCut:=ReadBool('FaultyCut',FaultyCut);
         free
        end;

finalization
      with TMyIniFile.create('AutoFormat') do
         begin
             WriteBool('kw',AutoFormatKw);
             //WriteBool('FaultyCut',FaultyCut);
             free
         end;



end.

