unit charinp;

(***************************************)
(* Copyright (C) 2003, SHIRAISHI Kazuo *)
(***************************************)


interface

uses
   SysUtils, Classes, QGraphics, QControls, QForms, QDialogs, QStdCtrls,
   myutils,base,textfile,variabl;

type
  TCharInput = class(TForm)
    Label1: TLabel;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure FormCreate(Sender: TObject);
  public
    c:ansistring;
    TimeLimit:TDateTime;
    LineNumber:integer;
    function execute(option:IOoptions):ansistring;
    procedure init;
  end;

var
  CharInput: TCharInput;

implementation
uses  texthand,struct;
{$R *.xfm}

procedure TCharInput.FormKeyPress(Sender: TObject; var Key: Char);
begin
   c:=c+key;
end;


function TCharInput.execute(option:IOoptions):ansistring;
var
   svCtrlBreakHit:boolean;
begin
   svCtrlBreakHit:=CtrlBreakHit;
   CtrlBreakHit:=false;
   IdleImmediately;

   if not(ioNoWait in option) then
      SelectLine(TextHand.memo,LineNumber);
   caption:=TextHand.Memo.Lines[LineNumber];
   Label1.visible:=true;

   if ioClear in option then
      c:='';

   show;
   IdleImmediately;
   While not((ioNoWait in option) or (Length(c)>0) or CtrlBreakHit or (now>=timelimit)) do
     begin
      sleep(10);IdleImmediately;
     end;

   if not (ioCharacterByte in option) and (Length(c)>=1) and (isDBCSLeadByte(byte(c[1]))) then
      begin
         result:=copy(c,1,2);
         delete(c,1,2);
      end
   else if length(c)>0 then
      begin
        result:=c[1];
        delete(c,1,1);
      end
   else
      result:='';
   CtrlBreakHit:=CtrlBreakHit or svCtrlbreakHit;

   texthand.memo.sellength:=0;
   Label1.visible:=false;
   caption:='';
   if (now>=timelimit) then setexception(8401);
end;


procedure TCharInput.FormCreate(Sender: TObject);
begin
   init;
end;

procedure TCharInput.Init;
begin
   c:='';
   Label1.caption:='';
   FormStyle:=fsStayOnTop;
end;
end.

