unit tracefrm;

(***************************************)
(* Copyright (C) 2003, SHIRAISHI Kazuo *)
(***************************************)


interface

uses
  SysUtils, Classes, QGraphics, QControls, QForms, QDialogs,
  QMenus,  QStdCtrls,  QTypes,  QExtCtrls, QComCtrls,
  textfrm;

type
  TTraceForm = class(TTextForm)
    procedure FormCreate(Sender: TObject);
  private
    { Private  }
  public
    function FileFilter:string;override;
    function FileExt:string;override;
    function IniFileSection:string;override;
  end;

var
  TraceForm: TTraceForm;

implementation
uses base;

{$R *.xfm}

function TTraceForm.FileFilter:string;
begin
   result:='LOG file|*.log'

end;


function TTraceForm.FileExt:string;
begin
   result:='.log'
end;

function TTraceForm.IniFileSection:string;
begin
   result:='Trace'
end;


procedure TTraceForm.FormCreate(Sender: TObject);
var   ScreenClientHeight:integer;
begin
  inherited;
   ScreenClientHeight:=Screen.Height-80  {WorkAreaHeight} ;
   Top:=ScreenClientHeight-Height;
   width:=min(width,screen.width div 2 +24);
   visible:=false;
   WindowState:=wsMinimized;
end;

end.
